Grouped Listings Statistics per Days
POST /api/analytics/v3/sales-funnel/grouped/historyBase URL: https://seller-analytics-api.wildberries.ru · Module: analytics · Section: Sales Funnel · Specification doc ↗
The method returns statistics for listings by day or by week. Listings are grouped by subcategories, brands and labels. You can get data for a maximum of the last week.
The report data is updated once every 2 hours.
Most of the data appears within an hour of the event:
- orders
- click-throughs
- adds-to-Cart A small part of this data may appear within a few days.
Purchases, cancellations, and returns are displayed in report for the day an item was ordered. For example, if an order was placed on January 1, and the customer returned the item on January 10, data about this return will appear in the report for January 1. You can track the final sales results using details for the realization reports.
The brandNames, subjectIDs, tagIds, and nmIds parameters can be empty [], in which case the response will return all of the seller listings.
The item of the number of subcategories, brands, and labels in the request cannot be more than 16. For example, 4 brands and 4 subcategories or 2 subcategories, 2 labels, and 4 brands.
To get reports for a period of up to a year, use the Seller Analytics CSV methods — the GROUPED_HISTORY_REPORT type. Reports of this type are available only with Jam subscription
Request limit per one seller account:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 min | 3 requests | 20 s | 3 requests |
| Service | 1 min | 3 requests | 20 s | 3 requests |
| Base with secret | 1 min | 3 requests | 20 s | 3 requests |
| Base | 1 h | 2 requests | 30 min | 1 request |
Request body
application/json — schema GroupedHistoryRequest, required
selectedPeriodobject(required)startstring— Period startendstring— Period end
brandNamesstring[]— List of brands for filteringsubjectIdsinteger<int64>[]— List of subcategory IDs for filteringtagIdsinteger<int64>[]— List of label IDs for filteringskipDeletedNmboolean— Skip deleted itemsaggregationLevelLevel
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | PostV3SalesFunnelGroupedHistoryResponse200 |
400 | Bad request | ErrorObject |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | ErrorObject |
429 | Too many requests | object |
Structure 200:
dataobject[]— StatisticsproductobjectnmIdinteger<int64>— WB item numbertitlestring<int64>— Listing namevendorCodestring— Seller item numberbrandNamestring— BrandsubjectIdinteger<int64>— Subcategory IDsubjectNamestring— Subcategory name
historyHistory[]— Statistics per perioddatestring— Statistics collection dateopenCountinteger<int64>— Click-throughscartCountinteger<int64>— Adds-to-CartorderCountinteger<int64>— Items orderedorderSuminteger<int64>— Total order valuebuyoutCountinteger<int64>— Items purchasedbuyoutSuminteger<int64>— Total purchase valuebuyoutPercentinteger<int64>— Purchase rateaddToCartConversioninteger<int64>— Conversion to Cart. What percentage of visitors who opened the listing, added the item to the cart, %cartToOrderConversioninteger<int64>— Conversion to order. Percentage of visitors who made an order after adding the item to the cartaddToWishlistCountinteger<int64>— Adds-to-Favorites
currencyCurrency
Structure 400:
titlestring— Error titledetailstring— Error detailsrequestIdstring— Unique request IDoriginstring— WB internal service ID
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
titlestring— Error titledetailstring— Error detailsrequestIdstring— Unique request IDoriginstring— WB internal service ID
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
from wb_api_client.analytics import Configuration, ApiClient
from wb_api_client.analytics.api import AnalyticsApi
cfg = Configuration(access_token="<your WB JWT>")
api = AnalyticsApi(ApiClient(cfg))
result = api.post_v3_sales_funnel_grouped_history(grouped_history_request=...)
print(result)import {
Configuration,
AnalyticsApi,
} from "@valeryverkhoturov/wb-api-client/analytics";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new AnalyticsApi(cfg);
const { data } = await api.postV3SalesFunnelGroupedHistory(groupedHistoryRequest);
console.log(data);import (
"context"
"fmt"
wbanalytics "github.com/ValeryVerkhoturov/wb-api-client-go/analytics"
)
cfg := wbanalytics.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbanalytics.NewAPIClient(cfg)
result, _, err := client.AnalyticsAPI.PostV3SalesFunnelGroupedHistory(context.Background()).GroupedHistoryRequest(groupedHistoryRequest).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)import io.github.valeryverkhoturov.wbapi.analytics.ApiClient;
import io.github.valeryverkhoturov.wbapi.analytics.SecretString;
import io.github.valeryverkhoturov.wbapi.analytics.api.AnalyticsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
AnalyticsApi api = new AnalyticsApi(client);
System.out.println(api.postV3SalesFunnelGroupedHistory(groupedHistoryRequest));use ValeryVerkhoturov\WbApiClient\Analytics\Configuration;
use ValeryVerkhoturov\WbApiClient\Analytics\SecretString;
use ValeryVerkhoturov\WbApiClient\Analytics\Api\AnalyticsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new AnalyticsApi(new Client(), $config);
print_r($api->postV3SalesFunnelGroupedHistory($grouped_history_request));#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый AnalyticsApi(Настройки);
Сообщить(Клиент.PostV3SalesFunnelGroupedHistory(Тело).Тело);using ValeryVerkhoturov.WbApiClient.Analytics.Api;
using ValeryVerkhoturov.WbApiClient.Analytics.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new AnalyticsApi(config);
Console.WriteLine(api.PostV3SalesFunnelGroupedHistory(groupedHistoryRequest));use wb_api_client::analytics::apis::{configuration::Configuration, analytics_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = analytics_api::post_v3_sales_funnel_grouped_history(&cfg, grouped_history_request).await;
println!("{:#?}", result);
}